Bug 1956089 - GL Text: System information lacks CPU model and includes warnings
Summary: GL Text: System information lacks CPU model and includes warnings
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-02 16:56 UTC by Maksym Sanzharov
Modified: 2021-05-06 01:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
xscreensaver log received with "xscreensaver -v -log log.txt" (1.93 KB, text/plain)
2021-05-02 16:56 UTC, Maksym Sanzharov
no flags Details

Description Maksym Sanzharov 2021-05-02 16:56:29 UTC
Created attachment 1778613 [details]
xscreensaver log received with "xscreensaver -v -log log.txt"

Description of problem: in the Russian locale "GL Text" displays Perl warnings from xscreensaver-text, and does not display a CPU model.


Version-Release number of selected component (if applicable): 6.00-1.fc34


How reproducible:


Steps to Reproduce:
1. In a terminal execute: LANG=en_US xscreensaver-demo
2. Select "GL Text", open its settings.
3. Select "Display system information" and press OK.
4. Close "Screensaver preferences"
5. In a terminal execute: LANG=ru_RU xscreensaver-demo


Actual results:
"GL Text" displays the following:
Argument "3900,0000" isn't numeric in numeric ge (>=) at /usr/libexec/xscreensaver/xscreensaver-text line 437.
Use of uninitialized value $model in substitution (s///) at /usr/libexec/xscreensaver/xscreensaver-text line 446.
Use of uninitialized value $model in substitution (s///) at /usr/libexec/xscreensaver/xscreensaver-text line 447.
Use of uninitialized value $model in substitution (s///) at /usr/libexec/xscreensaver/xscreensaver-text line 448.
Use of uninitialized value $model in substitution (s///) at /usr/libexec/xscreensaver/xscreensaver-text line 449.
max-home.localdomain
Fedora 34 (Workstation Edition)
3.9GHz 30GB


Expected results:
There are no warnings and a CPU model is displayed.


Additional info:
With LANG=en_US I get the following output:
max-home.localdomain
Fedora 34 (Workstation Edition)
3.9GHz AMD A10-7870K Radeon R7, 12 Compute Cores 4C+8G 30GB

No warnings are displayed in this case.

You can get the output of this saver by executing the following:
LANG=en_US PATH=/usr/libexec/xscreensaver:$PATH xscreensaver-text --date
LANG=ru_RU PATH=/usr/libexec/xscreensaver:$PATH xscreensaver-text --date

Comment 1 Fedora Update System 2021-05-03 14:16:08 UTC
FEDORA-2021-32c3bc6a3f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-32c3bc6a3f

Comment 2 Fedora Update System 2021-05-04 01:09:11 UTC
FEDORA-2021-32c3bc6a3f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-32c3bc6a3f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-32c3bc6a3f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-05-05 01:51:09 UTC
FEDORA-2021-7140ac3ac5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7140ac3ac5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7140ac3ac5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-05-06 01:58:22 UTC
FEDORA-2021-c2e2cc1e9a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c2e2cc1e9a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c2e2cc1e9a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.